본문 바로가기

Development/PHP

Eclipse (이클립스) 와 CodeIgniter (코드이그나이터) 코드 어시스트 버전은 2.x 기준이다.클래스 선언부 바로 밑에 아래 코드들을 추가해 주면 된다.system/core/Controller.php 파일에 아래 코드를 추가/**  * @var CI_Config  */ public $config; /**  * @var CI_DB_active_record  */ public $db; /**  * @var CI_Email  */ public $email; /** &nbs..
PDO - PHP Data Object PHP 5 Data Object (PDO) Abstraction Layer와 오라클by Wez Furlong, wez@php.netPHP Data Objects(PDO) data abstraction layer의 공동설계자 중 한 명인 Wez Furlong이, 오라클 사용자의 관점에서 바라본 PHP PDO의 개념을 설명해 드립니다.요구버전-PHP: 5.0기타 요구버전: Oracle 8 또는 상위 버전의 클라이언트 라이브러리 PDO ..
SQL Server Driver - Case 2 <미테스트> Making Sense of Stored Procedures with PHP, PDO, and Sqlsrv10augPosted by: trent in: PHPStored Procedures seem to be a rare bird in web development. But one thing is for sure, when you need them, its likely critical. With the last few versions of P..
SQL Server Driver - Case 1 <미테스트> class Example_controller extends CI_Controller {  // … // Others attributes and methods omitted for brevity  /* * Unfortunatelly, CodeIgniter does not work well with Stored Procedure with returning parameters, * so, if you want to use any..
IIS7 PHP 이클립스 디버깅 Setting up PHP and Eclipse IDE for debugging on IIS7.Here are the steps required to setup PHP on IIS7 and configure Eclipse IDE for debugging:1. To install PHP on IIS7 you can either download the PHP installer from http://php.net/downloads.php ..
gzip 인코딩 압축 전송 사용하기 출처 : http://qnrdlqkrwhdgns.canxan.com/jpboard/post/491일단, 브라우저가 gzip을 지원하는지 여부를 알아야한다.function hasAcceptEncoding($encoding) { return (stripos($_SERVER['HTTP_ACCEPT_ENCODING'], $encoding) !== false); }그리고 gzip을 사용한다고 브라우저에 알려야한다.header('Content-Enc..
IIS7 에서 CodeIgniter index.php 제거 하기 테스트 환경OS : Windows 2008 Server R2 / Windows 7 Enterprise K웹서버 : IIS 7.5 (7.0 도 가능할거라 여겨짐)윈도우 환경에서 IIS 7.5 환경에 PHP. 코드이그나이터(CodeIgniter) 환경을 구성하다가 index.php 를 제거하기위해 별지랄을 다해봤다. 그러다.. http://codeigniter-kr.org/lecture/view/213/page/1 를 참조하여 응용&n..
CodeIgniter(PHP) 에서 MS-SQL 설정 설정환경OS : Windows Server 2008 R2WebServer : IIS 7.5DataBase : SQL Server 2008 R2위와 같은 환경에서 코드이그나이터를 설치하여, DBMS 를 MS-SQL 로 설정하려 하다보니,어마어마한 삽질을..;;;해서 삽질의 결론은 DB Driver 가 문제.해서 SQL Server (MS-SQL) 을 쓰려면 PHP 의 버전을 5.3 이전으로 낮추어야 아래 설정에서 dbdriver 값에..